Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# LineakParser Class Reference

`#include <lineakparser.h>`

List of all members.

## Public Methods
| LineakParser ()
| ~LineakParser ()
int | get_lineakd_pid (void)
int | lineakd_running (void)
void | remove_pid_file (void)
## Private Methods
QString | parseconffile (const QString &inFile=QString::null)
bool | parsedeffile (const QString &inFile=QString::null)
bool | initEAK (const QString &inKBType=QString::null)
void | cleanKeylist (void)
void | cleanConfdata (void)
void | cleanDefdata (void)
void | cleanexit (int status)
QString | backup_conffile (void)
bool | restore_conffile (void)
bool | save_conffile (void)
void | print ()
## Private Attributes
QString | kbtype
QString | cdromdev
QString | mixdev
QFile | conffilename
QFile | deffilename
QFile | backupfile
int | nrkeyboards
const dcfp_data_struct * | confdata
const dcfp_data_struct * | defdata
const dcfp_data_struct * | userdefdata
specialact | specialacts [NR_SPECIALS]
EAKeyboard | myEAK
map< QString, vector< QString > > | bmmap
map< QString, QString > | longkbname
## Friends
class | KlineakConfig
class | KLineakDef

## Detailed Description

Encapsulates the C functions required to parse the config file.

Author:
  Sheldon Lee Wen

## Constructor & Destructor Documentation

LineakParser::LineakParser | ( |  | ) |

LineakParser::~LineakParser | ( |  | ) |

## Member Function Documentation

QString LineakParser::backup_conffile | ( | void |  | ) | `[private]`

void LineakParser::cleanConfdata | ( | void |  | ) | `[private]`

void LineakParser::cleanDefdata | ( | void |  | ) | `[private]`

void LineakParser::cleanexit | ( | int | status | ) | `[private]`

void LineakParser::cleanKeylist | ( | void |  | ) | `[private]`

int LineakParser::get_lineakd_pid | ( | void |  | ) |

bool LineakParser::initEAK | ( | const QString & | inKBType = QString::null | ) | `[private]`

int LineakParser::lineakd_running | ( | void |  | ) |

QString LineakParser::parseconffile | ( | const QString & | inFile = QString::null | ) | `[private]`

bool LineakParser::parsedeffile | ( | const QString & | inFile = QString::null | ) | `[private]`

void LineakParser::print | ( |  | ) | `[private]`

| Print basic structure

void LineakParser::remove_pid_file | ( | void |  | ) |

bool LineakParser::restore_conffile | ( | void |  | ) | `[private]`

bool LineakParser::save_conffile | ( | void |  | ) | `[private]`

## Friends And Related Function Documentation

friend class KlineakConfig`[friend]`

friend class KLineakDef`[friend]`

## Member Data Documentation

QFile LineakParser::backupfile`[private]`

map< QString, vector<QString> > LineakParser::bmmap`[private]`

| map for the brand to models

QString LineakParser::cdromdev`[private]`

const dcfp_data_struct* LineakParser::confdata`[private]`

QFile LineakParser::conffilename`[private]`

const dcfp_data_struct* LineakParser::defdata`[private]`

QFile LineakParser::deffilename`[private]`

QString LineakParser::kbtype`[private]`

map<QString,QString> LineakParser::longkbname`[private]`

| map for the kbtype to the full name

QString LineakParser::mixdev`[private]`

EAKeyboard LineakParser::myEAK`[private]`

| Linked list structure containing my present keyboard selection data

int LineakParser::nrkeyboards`[private]`

specialact LineakParser::specialacts[NR_SPECIALS]`[private]`

const dcfp_data_struct* LineakParser::userdefdata`[private]`

The documentation for this class was generated from the following file:

- lineakparser.h